Subject: bug#47727: closed (Re: bug#47727: halt system test is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Apr 2021 08:33:02 +0000

Your bug report

#47727: halt system test is broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47727: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47727
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47727: halt system test is broken
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 10:32:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> I wonder if this regression comes from Ocrad itself or from the input
> Qemu screeshot.

I fixed it by removing the OCR delay altogether with:
822eacc6bb0878323e6687d4460a7c53066545e1.

Thanks,

Mathieu

Subject: halt system test is broken
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 16:26:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The "halt" test is broken, see:
https://ci.guix.gnu.org/build/166624/details.

It fails to read the "root@komputilo" string using Ocrad. I captured an
attached screenshot that is used for the OCR detection.

Running manually "ocrad -i -s 10 tty1.ppm" gives no result. However
running the same command with a scale to 3 works:

--8<---------------cut here---------------start------------->8---
mathieu@meije ~/guix [env]$ ocrad -i -s 3 tty1.ppm  
This is the GNU sVstem. welcome.
komputilo login: root
This is the GNU operating sVstem, welcome!

root@komputilo w# _
--8<---------------cut here---------------end--------------->8---

I wonder if this regression comes from Ocrad itself or from the input
Qemu screeshot.

Thanks,

Mathieu